> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save bot tools



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json post /bot/{id}/saveTools
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /bot/{id}/saveTools:
    post:
      tags:
        - Bot
      summary: Save bot tools
      parameters:
        - name: id
          in: path
          description: The bot ID.
          required: true
          style: simple
          schema:
            type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ToolInputDto'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ToolInputDto'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ToolInputDto'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BotToolDto'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BotToolDto'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BotToolDto'
components:
  schemas:
    ToolInputDto:
      type: object
      properties:
        type:
          type: string
          description: The type of the tool
          nullable: true
        enabled:
          type: boolean
          description: Whether the tool is enabled
        options:
          description: The options for the tool
      additionalProperties: false
    BotToolDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        enabled:
          type: boolean
        options:
          $ref: '#/components/schemas/BotToolOptions'
      additionalProperties: false
    BotToolOptions:
      type: object
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````